Package com.arms.api.poc.service

## Class PocServiceImpl

- java.lang.Object
- - com.arms.api.poc.service.PocServiceImpl

- All Implemented Interfaces:
    `PocService`

      @Service("pocService")
      public class PocServiceImpl
      extends java.lang.Object
      implements PocService

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PocServiceImpl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `PocEntity` | `addPoc​(PocDTO pocDTO)` |
    `PocEntity` | `getPoc​(java.lang.String id)` |
    `PocVO` | `getPocList​(PocDTO pocDTO)` |
    `int` | `removePoc​(java.lang.String id)` |
    `int` | `updatePoc​(PocDTO pocDTO)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PocServiceImpl

          public PocServiceImpl()

  - ### Method Detail

    - #### addPoc

          public PocEntity addPoc​(PocDTO pocDTO)
                           throws java.lang.Exception

      Specified by:
        `addPoc` in interface `PocService`
      Throws:
        `java.lang.Exception`

    - #### getPoc

          public PocEntity getPoc​(java.lang.String id)
                           throws java.lang.Exception

      Specified by:
        `getPoc` in interface `PocService`
      Throws:
        `java.lang.Exception`

    - #### getPocList

          public PocVO getPocList​(PocDTO pocDTO)
                           throws java.lang.Exception

      Specified by:
        `getPocList` in interface `PocService`
      Throws:
        `java.lang.Exception`

    - #### updatePoc

          public int updatePoc​(PocDTO pocDTO)
                        throws java.lang.Exception

      Specified by:
        `updatePoc` in interface `PocService`
      Throws:
        `java.lang.Exception`

    - #### removePoc

          public int removePoc​(java.lang.String id)
                        throws java.lang.Exception

      Specified by:
        `removePoc` in interface `PocService`
      Throws:
        `java.lang.Exception`